com.genesyslab.wfm8.API.service.schedule800

## Class SchAgentState

- java.lang.Object
- - com.genesyslab.wfm8.API.service.schedule800.SchAgentState

- All Implemented Interfaces:
    java.io.Serializable

      public class SchAgentState
      extends java.lang.Object
      implements java.io.Serializable

  The Scheduled state is the most basic element of an agent's schedule. The agent schedule is built on a daily basis, and every day schedule contains one or more states scheduled. At any given moment during the day, an agent is assigned one scheduled state (in most cases). However, multi-skilled agents can be scheduled to work on more than one activity at the same time. In such cases an agent may have more than one scheduled state for a given period of time. Usually, scheduled states have defined start and end times, but some states are full-day, and have no start or end time defined.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `gswAgentId` Agent ID: identifies `CfgAgent` object
    `private static long` | `serialVersionUID`
    `protected double` | `wmDate` Points out the shift day to which the scheduled state belongs.
    `protected double` | `wmEndDateTime` Schedule state end date/time.
    `protected boolean` | `wmFullDay` Is state full-day (true/false)
    `protected boolean` | `wmPaid` Is state paid (true/false)
    `protected int` | `wmPaidMinutes` Calculated paid duration of the schedule state.
    `protected int` | `wmRefId` Secondary ID
    `protected int` | `wmSiteId` Site ID, identifies the `CfgSite` object.
    `protected double` | `wmStartDateTime` Schedule state start date/time.
    `protected int` | `wmStateId` State ID
    `protected int` | `wmStateType` State type `ESchStateType`
    `protected int` | `wmTimezoneId` Time Zone ID used.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchAgentState()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `int` | `getGswAgentId()` Gets the value of the gswAgentId property.
    `double` | `getWmDate()` Gets the value of the wmDate property.
    `double` | `getWmEndDateTime()` Gets the value of the wmEndDateTime property.
    `int` | `getWmPaidMinutes()` Gets the value of the wmPaidMinutes property.
    `int` | `getWmRefId()` Gets the value of the wmRefId property.
    `int` | `getWmSiteId()` Gets the value of the wmSiteId property.
    `double` | `getWmStartDateTime()` Gets the value of the wmStartDateTime property.
    `int` | `getWmStateId()` Gets the value of the wmStateId property.
    `int` | `getWmStateType()` Gets the value of the wmStateType property.
    `int` | `getWmTimezoneId()` Gets the value of the wmTimezoneId property.
    `int` | `hashCode()`
    `boolean` | `isWmFullDay()` Gets the value of the wmFullDay property.
    `boolean` | `isWmPaid()` Gets the value of the wmPaid property.
    `void` | `setGswAgentId(int value)` Sets the value of the gswAgentId property.
    `void` | `setWmDate(double value)` Sets the value of the wmDate property.
    `void` | `setWmEndDateTime(double value)` Sets the value of the wmEndDateTime property.
    `void` | `setWmFullDay(boolean value)` Sets the value of the wmFullDay property.
    `void` | `setWmPaid(boolean value)` Sets the value of the wmPaid property.
    `void` | `setWmPaidMinutes(int value)` Sets the value of the wmPaidMinutes property.
    `void` | `setWmRefId(int value)` Sets the value of the wmRefId property.
    `void` | `setWmSiteId(int value)` Sets the value of the wmSiteId property.
    `void` | `setWmStartDateTime(double value)` Sets the value of the wmStartDateTime property.
    `void` | `setWmStateId(int value)` Sets the value of the wmStateId property.
    `void` | `setWmStateType(int value)` Sets the value of the wmStateType property.
    `void` | `setWmTimezoneId(int value)` Sets the value of the wmTimezoneId property.
    `java.lang.String` | `toString()`
    `SchAgentState` | `withGswAgentId(int value)`
    `SchAgentState` | `withWmDate(double value)`
    `SchAgentState` | `withWmEndDateTime(double value)`
    `SchAgentState` | `withWmFullDay(boolean value)`
    `SchAgentState` | `withWmPaid(boolean value)`
    `SchAgentState` | `withWmPaidMinutes(int value)`
    `SchAgentState` | `withWmRefId(int value)`
    `SchAgentState` | `withWmSiteId(int value)`
    `SchAgentState` | `withWmStartDateTime(double value)`
    `SchAgentState` | `withWmStateId(int value)`
    `SchAgentState` | `withWmStateType(int value)`
    `SchAgentState` | `withWmTimezoneId(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### wmSiteId

          protected int wmSiteId

      Site ID, identifies the `CfgSite` object.

    - #### gswAgentId

          protected int gswAgentId

      Agent ID: identifies `CfgAgent` object

    - #### wmDate

          protected double wmDate

      Points out the shift day to which the scheduled state belongs. `OleDateTime`

    - #### wmStateType

          protected int wmStateType

      State type `ESchStateType`

    - #### wmStateId

          protected int wmStateId

      State ID

    - #### wmRefId

          protected int wmRefId

      Secondary ID

    - #### wmStartDateTime

          protected double wmStartDateTime

      Schedule state start date/time. `OleDateTime`

    - #### wmEndDateTime

          protected double wmEndDateTime

      Schedule state end date/time. `OleDateTime`

    - #### wmPaid

          protected boolean wmPaid

      Is state paid (true/false)

    - #### wmFullDay

          protected boolean wmFullDay

      Is state full-day (true/false)

    - #### wmPaidMinutes

          protected int wmPaidMinutes

      Calculated paid duration of the schedule state. In the case of SCH_LAYOUT_OVERLAPPED state layout, it takes into account all overlapping schedule states to adjust paid minutes. This is a read-only attribute.

    - #### wmTimezoneId

          protected int wmTimezoneId

      Time Zone ID used. A zero value represents Site time zone. `CfgTimezone`

  - ### Constructor Detail

    - #### SchAgentState

          public SchAgentState()

  - ### Method Detail

    - #### getWmSiteId

          public int getWmSiteId()

      Gets the value of the wmSiteId property.

    - #### setWmSiteId

          public void setWmSiteId(int value)

      Sets the value of the wmSiteId property.

    - #### getGswAgentId

          public int getGswAgentId()

      Gets the value of the gswAgentId property.

    - #### setGswAgentId

          public void setGswAgentId(int value)

      Sets the value of the gswAgentId property.

    - #### getWmDate

          public double getWmDate()

      Gets the value of the wmDate property.

    - #### setWmDate

          public void setWmDate(double value)

      Sets the value of the wmDate property.

    - #### getWmStateType

          public int getWmStateType()

      Gets the value of the wmStateType property.

    - #### setWmStateType

          public void setWmStateType(int value)

      Sets the value of the wmStateType property.

    - #### getWmStateId

          public int getWmStateId()

      Gets the value of the wmStateId property.

    - #### setWmStateId

          public void setWmStateId(int value)

      Sets the value of the wmStateId property.

    - #### getWmRefId

          public int getWmRefId()

      Gets the value of the wmRefId property.

    - #### setWmRefId

          public void setWmRefId(int value)

      Sets the value of the wmRefId property.

    - #### getWmStartDateTime

          public double getWmStartDateTime()

      Gets the value of the wmStartDateTime property.

    - #### setWmStartDateTime

          public void setWmStartDateTime(double value)

      Sets the value of the wmStartDateTime property.

    - #### getWmEndDateTime

          public double getWmEndDateTime()

      Gets the value of the wmEndDateTime property.

    - #### setWmEndDateTime

          public void setWmEndDateTime(double value)

      Sets the value of the wmEndDateTime property.

    - #### isWmPaid

          public boolean isWmPaid()

      Gets the value of the wmPaid property.

    - #### setWmPaid

          public void setWmPaid(boolean value)

      Sets the value of the wmPaid property.

    - #### isWmFullDay

          public boolean isWmFullDay()

      Gets the value of the wmFullDay property.

    - #### setWmFullDay

          public void setWmFullDay(boolean value)

      Sets the value of the wmFullDay property.

    - #### getWmPaidMinutes

          public int getWmPaidMinutes()

      Gets the value of the wmPaidMinutes property.

    - #### setWmPaidMinutes

          public void setWmPaidMinutes(int value)

      Sets the value of the wmPaidMinutes property.

    - #### getWmTimezoneId

          public int getWmTimezoneId()

      Gets the value of the wmTimezoneId property.

    - #### setWmTimezoneId

          public void setWmTimezoneId(int value)

      Sets the value of the wmTimezoneId property.

    - #### withWmSiteId

          public SchAgentState withWmSiteId(int value)

    - #### withGswAgentId

          public SchAgentState withGswAgentId(int value)

    - #### withWmDate

          public SchAgentState withWmDate(double value)

    - #### withWmStateType

          public SchAgentState withWmStateType(int value)

    - #### withWmStateId

          public SchAgentState withWmStateId(int value)

    - #### withWmRefId

          public SchAgentState withWmRefId(int value)

    - #### withWmStartDateTime

          public SchAgentState withWmStartDateTime(double value)

    - #### withWmEndDateTime

          public SchAgentState withWmEndDateTime(double value)

    - #### withWmPaid

          public SchAgentState withWmPaid(boolean value)

    - #### withWmFullDay

          public SchAgentState withWmFullDay(boolean value)

    - #### withWmPaidMinutes

          public SchAgentState withWmPaidMinutes(int value)

    - #### withWmTimezoneId

          public SchAgentState withWmTimezoneId(int value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.